# Lowest Monthly Rates

<mark style="color:blue;">`GET`</mark> `https://api.rateparity.com/v1/rate/lowestmonthly/{code}`

Returns, for each month in the forecast horizon, the lowest direct rate found on the hotel website, along with:

* **month** – the month (1–12) the rate belongs to
* **year** – the calendar year of that month
* **rate** – the lowest nightly rate found for that month
* **day** – the specific date for which this lowest rate applies
* **minStay** – the minimum length of stay (in nights) required for that rate
* **timestamp** – when this lowest rate was last fetched

#### Path Parameters

| Name                                   | Type   | Description        |
| -------------------------------------- | ------ | ------------------ |
| code<mark style="color:red;">\*</mark> | String | The property code. |

{% tabs %}
{% tab title="200: OK Everything worked as expected" %}
{% code lineNumbers="true" %}

```json
{
  "data": {
    "hotelCode": "WOLAWARSAW",
    "currency": "PLN",
    "lowestMonthlyRates": [
      {
        "month": 12,
        "year": 2025,
        "rate": 210.0,
        "day": "2025-12-07T02:00:00",
        "minStay": 28,
        "timestamp": "2025-11-25T14:13:01.000+00:00"
      },
      {
        "month": 1,
        "year": 2026,
        "rate": 262.5,
        "day": "2026-01-11T02:00:00",
        "minStay": 1,
        "timestamp": "2025-11-25T14:13:03.000+00:00"
      },
      {
        "month": 2,
        "year": 2026,
        "rate": 262.5,
        "day": "2026-02-01T02:00:00",
        "minStay": 1,
        "timestamp": "2025-11-25T14:13:05.000+00:00"
      },
      {
        "month": 3,
        "year": 2026,
        "rate": 262.5,
        "day": "2026-03-01T02:00:00",
        "minStay": 1,
        "timestamp": "2025-11-25T14:13:07.000+00:00"
      },
      {
        "month": 4,
        "year": 2026,
        "rate": 241.5,
        "day": "2026-04-05T03:00:00",
        "minStay": 1,
        "timestamp": "2025-11-25T14:13:10.000+00:00"
      },
      {
        "month": 5,
        "year": 2026,
        "rate": 241.5,
        "day": "2026-05-10T03:00:00",
        "minStay": 1,
        "timestamp": "2025-11-25T14:13:12.000+00:00"
      },
      {
        "month": 6,
        "year": 2026,
        "rate": 241.5,
        "day": "2026-06-07T03:00:00",
        "minStay": 1,
        "timestamp": "2025-11-25T14:13:14.000+00:00"
      },
      {
        "month": 7,
        "year": 2026,
        "rate": 258.75,
        "day": "2026-07-05T03:00:00",
        "minStay": 1,
        "timestamp": "2025-11-25T14:13:16.000+00:00"
      },
      {
        "month": 8,
        "year": 2026,
        "rate": 258.75,
        "day": "2026-08-02T03:00:00",
        "minStay": 1,
        "timestamp": "2025-11-25T14:13:18.000+00:00"
      },
      {
        "month": 9,
        "year": 2026,
        "rate": 241.5,
        "day": "2026-09-06T03:00:00",
        "minStay": 1,
        "timestamp": "2025-11-25T14:13:20.000+00:00"
      },
      {
        "month": 10,
        "year": 2026,
        "rate": 241.5,
        "day": "2026-10-04T03:00:00",
        "minStay": 1,
        "timestamp": "2025-11-25T14:13:22.000+00:00"
      }
    ]
  }
}
```

{% endcode %}
{% endtab %}

{% tab title="400: Bad Request Invalid parameters (e.g. invalid property code or date configuration)" %}

```json
{
  "timestamp": "2025-11-25T14:13:22",
  "message": "Data provided is invalid"
}
```

{% endtab %}

{% tab title="401: Unauthorized No valid API key provided or not authorised to access the provided property code" %}

{% endtab %}
{% endtabs %}

## Example

{% tabs %}
{% tab title="curl" %}

<pre><code><strong>curl 'https://api.rateparity.com/v1/rate/lowestmonthly/WOLAWARSAW' \
</strong><strong>--header 'Authorization: Bearer YOUR_API_KEY'
</strong></code></pre>

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rateparity.com/rates/lowest-rates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
